Open Babel: graph_traits< OpenBabel::OBMol >::adjacent_iterator Class Reference

Public Types | Public Member Functions

# graph_traits< OpenBabel::OBMol >::adjacent_iterator Class Reference

`#include <mol_graph.h>`

List of all members.

## Public Types
typedef std::forward_iterator_tag | iterator_category
typedef OpenBabel::OBAtom * | value_type
typedef OpenBabel::OBAtom ** | pointer
typedef OpenBabel::OBBondIterator::difference_type | difference_type
typedef OpenBabel::OBBondIterator::reference | reference
## Public Member Functions
| adjacent_iterator ()
| adjacent_iterator (OpenBabel::OBBondIterator i, OpenBabel::OBAtom *a)
| adjacent_iterator (const adjacent_iterator &i)
adjacent_iterator & | operator++ ()
adjacent_iterator | operator++ (int)
bool | operator== (const adjacent_iterator &rhs)
bool | operator!= (const adjacent_iterator &rhs)
vertex_descriptor | operator* ()

### template<>
class boost::graph_traits< OpenBabel::OBMol >::adjacent_iterator

## Member Typedef Documentation

typedef std::forward_iterator_tag iterator_category

typedef OpenBabel::OBAtom* value_type

typedef OpenBabel::OBAtom** pointer

typedef OpenBabel::OBBondIterator::difference_type difference_type

typedef OpenBabel::OBBondIterator::reference reference

## Constructor & Destructor Documentation

adjacent_iterator | ( | ) | `[inline]`

adjacent_iterator | ( | OpenBabel::OBBondIterator | i,
|  | OpenBabel::OBAtom * | a
| ) |  | `[inline]`

adjacent_iterator | ( | const adjacent_iterator & | i ) | `[inline]`

## Member Function Documentation

adjacent_iterator& operator++ | ( | ) | `[inline]`

adjacent_iterator operator++ | ( | int | ) | `[inline]`

bool operator== | ( | const adjacent_iterator & | rhs ) | `[inline]`

bool operator!= | ( | const adjacent_iterator & | rhs ) | `[inline]`

vertex_descriptor operator* | ( | ) | `[inline]`

The documentation for this class was generated from the following file:

- mol_graph.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines